Kerbal Space Program - Bug #24857

FTE-1 Drain valve can drain intake air
02/14/2020 05:30 PM - 050644zf

Status: Closed Start date: 02/15/2020

Severity: Low % Done: 100%

Assignee:

Category: Parts

Target version: 1.9.1

Version: 1.9.0 Language: English (US), 0000 (Chinese Simplified)
Platform: Windows Mod Related: No

Expansion: Core Game

Description

FTE-1 Drain valve can drain intake air when attached to air intakes.

Video showing how this bug work: (Chinese but enough to show how this bug work)

https://b23.tv/av88826273

History

#1 - 02/14/2020 06:37 PM - just_jim

- File Bottlerocket Rover.craft added

- File screenshot534.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed,

#2 - 02/14/2020 07:13 PM - just_jim
- File deleted (Bottlerocket Rover.craft)

#3 - 02/14/2020 07:14 PM - just_jim
- File deleted (screenshot534.png)

#5 - 02/15/2020 04:03 AM - Anth12
Fun bug ;)

#6 - 02/15/2020 11:48 AM - 050644zf

- File ResourcesGeneric.cfg added
Kerbal Space Program\GameData\Squad\Resources
RESOURCE_DEFINITION

{

name = IntakeAir

displayName = #autoLOC_501005 //#autoLOC_501005 = Intake Air
abbreviation = #autoLOC_6002101 //#autoLOC_6002101 = Air

density = 0.005
unitCost = 0
hsp = 10
flowMode = ALL_VESSEL
transfer = PUMP
isTweakable = false
isVisible = false
iRESOURCE_DRAIN_DEFINITION
{
isDrainable = false
showDrainFX = false
in line 134, there is a typo that add an 'i' before the 'RESOURCE_DRAIN_DEFINITION'

#7 - 02/16/2020 02:16 PM - gotmachine

Remark : it would have been a good choice to have

isDrainable = isVisible

as a default when no RESOURCE_DRAIN_DEFINITION is found

That would have prevented that issue, as well as the same issue on mods resources.

#8 - 02/19/2020 06:45 PM - just_jim

- Assignee set to just_jim

#9 - 02/28/2020 03:59 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.1

- % Done changed from 10 to 80

We've made some changes in the latest build and would like some input on this issue please. Thanks.

#10 - 02/28/2020 04:00 PM - victorr
- Assignee deleted (just_jim)

#11 - 02/29/2020 05:49 AM - Anth12

- File 1.9.0 SPH.png added

- File 1.9.0 Runway.png added

- File 1.9.1 SPH.png added

- File 1.9.1 Runway.png added

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

| tested it as per the screenshots, tested it in flight
and | did some testing on multiple propellents and ore tanks.

No Air intake issues anymore (kind of liked this one ;))
Resolved

#12 - 03/13/2020 11:38 PM - chris.fulton

- Status changed from Resolved to Closed

Files

Screenshot_2020-02-15-01-21-46-560_tv.danmaku.bili.png 1.26 MB 02/14/2020 050644zf
ResourcesGeneric.cfg 4.16 KB 02/15/2020 050644zf
1.9.0 SPH.png 2.56 MB 02/29/2020 Anth12
1.9.0 Runway.png 2.46 MB 02/29/2020 Anth12
1.9.1 SPH.png 2.77 MB 02/29/2020 Anth12
1.9.1 Runway.png 2.64 MB 02/29/2020 Anth12
